require( "scripts/objects/objects.lua" );
require( "scripts/objects/get_something_object.lua" );

local	indicator_pos_x = 0;
local	indicator_pos_y = -90;

local ObjectTable = GetObjectTable("diaper");

diaper = get_something_object:new{

	object_name="fralda",
	
	next_object_selected = "lixeira";
	
	indicator_ui_x=indicator_pos_x,
	indicator_ui_y=indicator_pos_y,
	dad_ui_x=indicator_pos_x-35,
	dad_ui_y=indicator_pos_y,
	mom_ui_x=indicator_pos_x+35,
	mom_ui_y=indicator_pos_y,
	
	texture="anim/objects/diaper/diaper",
	animation_script="anim/objects/default_animation_script.lua",
	glow_texture="anim/objects/diaper/diaper_glow",
	glow_animation_script="anim/objects/default_glow_animation_script.lua",
	
	stuff_name = "diaper";
	stuff_x = "0";
	stuff_y = "-50";
	stuff_layer = "1";

	
	parent_final_state = "holding_diaper";
	
	complex_object = true;
	next_task_x = indicator_pos_x,
	next_task_y = indicator_pos_y,

	cleaning_state_time = ObjectTable["cleaning_time"],
}

function diaper:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end